org.eclipse.ui.ide

## Class ResourceSaveableFilter

- java.lang.Object
- - org.eclipse.ui.ide.ResourceSaveableFilter

All Implemented Interfaces:
  ISaveableFilter

    public class ResourceSaveableFilter
    extends Object
    implements ISaveableFilter

A saveable filter where the given savable must either match one of the given roots or be a direct or indirect child of one of the roots.

Since:
  3.9

### Constructor Summary

Constructors
Constructor and Description
`ResourceSaveableFilter(IResource[] roots)` Creates a new filter.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `select(Saveable saveable, IWorkbenchPart[] containingParts)` Indicate whether the given saveable matches this filter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceSaveableFilter

    public ResourceSaveableFilter(IResource[] roots)

Creates a new filter.

Parameters:
  `roots` - the save roots

### Method Detail

#### select

    public boolean select(Saveable saveable,
                          IWorkbenchPart[] containingParts)

Description copied from interface: `ISaveableFilter`
Indicate whether the given saveable matches this filter.

Specified by:
  `select` in interface `ISaveableFilter`
Parameters:
  `saveable` - the saveable being tested
  `containingParts` - the parts that contain the saveable. This list may contain zero or more parts.
Returns:
  whether the given saveable matches this filter